Bug 1655816 (CVE-2018-19824) - CVE-2018-19824 kernel: Use-after-free in sound/usb/card.c:usb_audio_probe()
Summary: CVE-2018-19824 kernel: Use-after-free in sound/usb/card.c:usb_audio_probe()
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2018-19824
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1658921 1658924 1658925 1658926 1655817 1658920 1658922 1658923 1726371
Blocks: 1655818
TreeView+ depends on / blocked
 
Reported: 2018-12-04 02:01 UTC by Sam Fowler
Modified: 2019-09-29 15:03 UTC (History)
49 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found In the Linux kernel, through version 4.19.6, where a local user could exploit a use-after-free in the ALSA driver by supplying a malicious USB Sound device (with zero interfaces) that is mishandled in usb_audio_probe in sound/usb/card.c. An attacker could corrupt memory and possibly escalate privileges if the attacker is able to have physical access to the system.
Clone Of:
Environment:
Last Closed: 2019-09-12 12:45:32 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:2767 None None None 2019-09-12 19:12:27 UTC
Red Hat Product Errata RHSA-2019:2703 None None None 2019-09-10 19:00:10 UTC

Description Sam Fowler 2018-12-04 02:01:33 UTC
In the Linux kernel through 4.19.6, a local user could exploit a use-after-free in the ALSA driver by supplying a malicious USB Sound device (with zero interfaces) that is mishandled in usb_audio_probe in sound/usb/card.c.

An attacker with physical access with a specially crafted USB device in tandem with the ability to run software on the machine may be able to create a situation where an exploit can allow for privilege escalation.

While Red Hat finds this scenario unlikely, this is the most likely case of how an attacker can use this flaw.



External Reference:

https://www.openwall.com/lists/oss-security/2018/12/03/1


Reference:

https://bugzilla.suse.com/show_bug.cgi?id=1118152


Upstream Patches:

https://git.kernel.org/pub/scm/linux/kernel/git/tiwai/sound.git/commit/?id=5f8cf712582617d523120df67d392059eaf2fc4b
https://github.com/torvalds/linux/commit/5f8cf712582617d523120df67d392059eaf2fc4b

Comment 1 Sam Fowler 2018-12-04 02:02:32 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1655817]

Comment 6 errata-xmlrpc 2019-09-10 19:00:08 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2019:2703 https://access.redhat.com/errata/RHSA-2019:2703

Comment 7 Product Security DevOps Team 2019-09-12 12:45:32 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2018-19824


Note You need to log in before you can comment on or make changes to this bug.